Subject: Re: Nebel Mill?
From: "Jack Berndt" <[email-masked]>
To: "Jim Kirchstein" <[email-masked]>
Date: Tue, 19 Jul 2011 14:19:42 -0500

Drove down to Sauk & immediately saw the home, just as Myrtle describes on p. 34: "... removed third floor & gable roof & added onto the south side..." 1100 Water St. See attachment. Never knew history of this place. 

----- Original Message ----- 
  From: Jim Kirchstein 
  To: Jack Berndt 
  Sent: Tuesday, July 19, 2011 8:56 AM
  Subject: Re: Nebel Mill?

  I don't remember that building, but I love to see the old ones.

  From: Jack Berndt 
  Sent: Tuesday, July 19, 2011 8:01 AM
  To: Cuca 
  Subject: Nebel Mill?

  I'm thinking this pic, ca. 1930s, was the Nebel Mill in Sauk. Never heard of this until now, using Lives Lived Here (LLH) as a reference (p. 33,34.) Would've been 1100 Water St. Apparently built as a mill, but never used as such. Rennovated in '60 into a single residence bldg., so still may be there? Will have to look for it on one of my trips "down south"...